Bug 1741266 - Firefox crashes with latest zlib update
Summary: Firefox crashes with latest zlib update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zlib
Version: 30
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Kubat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2019-08-14 15:59 UTC by Dan Horák
Modified: 2019-08-20 10:13 UTC (History)
9 users (show)

Fixed In Version: zlib-1.2.11-17.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-20 01:48:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 180471 None None None 2019-08-20 10:13:31 UTC

Description Dan Horák 2019-08-14 15:59:02 UTC
Description of problem:
Firefox crashes during startup with latest zlib update installed.

(gdb) where
#0  0x00007fff9a798d48 in __libc_signal_restore_set (set=0x7ffff15d7978) at ../sysdeps/unix/sysv/linux/internal-signals.h:84
#1  0x00007fff9a798d48 in raise (sig=<optimized out>) at ../sysdeps/unix/sysv/linux/raise.c:48
#2  0x00007fff941c8898 in  () at /usr/lib64/firefox/libxul.so
#3  0x00007fff9a8004e8 in <signal handler called> () at arch/powerpc/kernel/vdso64/sigtramp.S
#4  0x00007fff9807412c in __crc32_vpmsum (len=<optimized out>, p=<optimized out>, crc=<optimized out>) at contrib/power8-crc/vec_crc32.c:93
#5  0x00007fff9807412c in crc32_vpmsum (crc=4294967295, p=0x0, len=230512) at contrib/power8-crc/vec_crc32.c:93
#6  0x00007fff98063668 in crc32 (crc=<optimized out>, buf=<optimized out>, len=<optimized out>) at crc32.c:316
#7  0x00007fff9070de4c in  () at /usr/lib64/firefox/libxul.so
#8  0x00007fff8fb97ef8 in  () at /usr/lib64/firefox/libxul.so


Version-Release number of selected component (if applicable):
zlib-1.2.11-16.fc30.ppc64le

How reproducible:
100%

Steps to Reproduce:
1. start Firefox

Actual results:
a crash

Expected results:
no crash

Additional info:
this is on a Power9 Talos II system

Comment 1 Fedora Update System 2019-08-15 07:51:25 UTC
FEDORA-2019-98283af827 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-98283af827

Comment 2 Pavel Raiskup 2019-08-15 08:15:27 UTC
The patches from dist-git causing this do not point to any bugzilla
number, nor to any discussion on mailing list:
git diff 02d52503966dfb7194da30059aa16a212bdf0284..fca6f29cc974602845a3b4eaeffa57d5afa32859

Comment 3 Ondrej Dubaj 2019-08-15 08:56:15 UTC
Sorry for that, the bugzillas of patches causing problems are: 

https://bugzilla.redhat.com/show_bug.cgi?id=1659433

https://bugzilla.redhat.com/show_bug.cgi?id=1666798

The changes in patch described in #1666798 are probably causing crash and it's already reverted in fedora-all

Comment 4 Fedora Update System 2019-08-16 19:50:44 UTC
zlib-1.2.11-17.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-98283af827

Comment 5 Fedora Update System 2019-08-20 01:48:41 UTC
zlib-1.2.11-17.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.